Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 306487

Summary: dev-scheme/bigloo - prestripped files, fails to respect CFLAGS/LDFLAGS
Product: Gentoo Linux Reporter: Doktor Notor <notordoktor>
Component: New packagesAssignee: Scheme Project <scheme>
Status: RESOLVED FIXED    
Severity: normal CC: cyprien, scheme
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 331933    

Description Doktor Notor 2010-02-23 08:03:24 UTC
* QA Notice: Files built without respecting LDFLAGS have been detected
 *  Please include the following list of files in your report:
 * /usr/bin/bglpp
 * /usr/bin/bgljas
 * /usr/bin/bglmco
 * /usr/bin/bglmem
 * /usr/bin/bglpkg
 * /usr/bin/bgldepend
 * /usr/bin/bglafile
 * /usr/bin/bgljfile
 * /usr/bin/bglmake
 * /usr/bin/bglprof
 * /usr/bin/bgltags
 * /usr/lib/bigloo/3.2b/bmem/bmem.so
 * /usr/lib/bigloo/3.2b/libbigloomultimedia_e-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloomultimedia_s-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloosrfi1_e-3.2b.so
 * /usr/lib/bigloo/3.2b/libbiglootext_e-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloosrfi1_s-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloosrfi27_e-3.2b.so
 * /usr/lib/bigloo/3.2b/libbiglootext_s-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloosrfi27_s-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloosqlite_e-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloomail_e-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloossl_e-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloofth_e-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloocalendar_e-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloosqlite_s-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloomail_s-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloossl_s-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloofth_s-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloocalendar_s-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloopkglib_e-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloo_s-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloopkglib_s-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloo_u-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloogstreamer_e-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloopackrat_e-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloopth_e-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloogstreamer_s-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloopkgcomp_e-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloopackrat_s-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloopth_s-3.2b.so
 * /usr/lib/bigloo/3.2b/libbigloopkgcomp_s-3.2b.so
 * /usr/lib/bigloo/3.2b/libbiglooweb_e-3.2b.so
 * /usr/lib/bigloo/3.2b/libbiglooweb_s-3.2b.so

Also, watching the compile output -O3 is forced on about half of the stuff and ignoring all other CFLAGS.
Comment 1 Doktor Notor 2010-03-19 11:33:46 UTC
Also this...

QA Notice: Pre-stripped files found:
/usr/bin/bglpp
/usr/bin/bgljas
/usr/bin/bglmco
/usr/bin/bglmem
/usr/bin/bglpkg
/usr/bin/bigloo
/usr/bin/bigloo3.2b
/usr/bin/bgldepend
/usr/bin/bglafile
/usr/bin/bgljfile
/usr/bin/bglmake
/usr/bin/bglprof
/usr/bin/bgltags

On that note, the entire 'bigloo strips files by default' thing is an enourmous PITA, this affects e.g. dev-php/roadsend-php and any other stuff that happens to use this. I couldn't find a way to disable this behaviour in autotools stuff at all. 
Comment 2 Tomás Touceda (RETIRED) gentoo-dev 2010-04-07 14:51:51 UTC
The stripping is patched in version 3.3a_p5. And CFLAGS/LDFLAGS are repected too.
Comment 3 Cyprien Nicolas (fulax) 2010-08-10 08:12:20 UTC
Not so fixed, Bigloo fails to respect LDFLAGS at build time.

In ./configure, there is --lflags and --ldflags options. the LDFLAGS environment variable is assimilated as if --lflags was given, not --ldflags.
--ldflags defines LDFLAGS in Makefiles, while
--lflags defines LD_EXTRA_OPT, which not used for all libraries and binaries

Adding --ldflags="${LDFLAGS}" can be used as a solution, added in bigloo-3.4a_p3-r1, from bug #330977